// -*-C++-*-
//
// File:      ChoiceChildParameters.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Mon Dec  3 19:02:20 MET 2001

#ifndef ChoiceChildParameters_h
#define ChoiceChildParameters_h

#include <list>
#include <map>
#include <string>

// Container of choice-valued children.
//   A Parameter may be controlling other parameters. 
//
class Parameter;

class ChoiceChildParameters : public std::map< std::string, std::list<Parameter* > > 
{
public:
  ChoiceChildParameters(Parameter* parent);
  ~ChoiceChildParameters();
  void add(const std::string& choice,Parameter* child);
  std::list<std::string > choices();
  
private:
  ChoiceChildParameters();
  Parameter* _parent;
};

#endif
