// File:      xpi2xml.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Thu Nov 29 11:13:01 MET 2001
#include "XpiParamParser.h"
#include "XmlParamParser.h"
#include "errstr.h"
#include "Error.h"

const char* ExecuteVersion="1.1";
const char* ExecuteName="xml2xpi";

int main(int argc, char** argv)
{
  errHandler.name(ExecuteName);
  std::cerr << ExecuteName << " version " << ExecuteVersion << std::endl;

  // check arguments
  if (argc != 3) {
    errstr 
      << "\nReads the XML-formatted parameter file of the XMM-Newton SAS "
      << "and generates XPI-formatted equivalent on standard output...\n"
      << "\nusage: " 
      << ExecuteName << " xml-file xpi-file"
      << Sas::fatal("MissingArgument");
  }

  // read parameter file, and handle
  XmlParamParser xml;
  ParameterInfo* info=xml.load(argv[1]);

  XpiParamParser xpi;
  xpi.save(*info,argv[2]);
  
  return 0;
}
