// File:      xpi2xml.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Thu Nov 29 11:13:01 MET 2001
#include "XpiParamParser.h"
#include "XmlParamParser.h"
#include "errstr.h"
#include "Error.h"

const char* ExecuteVersion="1.2";
const char* ExecuteName="xpi2xml";

int main(int argc, char** argv)
{
  errHandler.name(ExecuteName);
  std::cerr << ExecuteName << " version " << ExecuteVersion << std::endl;

  // check arguments
  if (argc != 3) {
    errstr 
      << "\nReads an old XPI-formatted parameter file of the XMM-Newton SAS "
      << "and generates XML-formatted equivalent on standard output...\n"
      << "\nusage: " 
      << ExecuteName << " xpi-file xml-file"
      << Sas::fatal("MissingArgument");
  }

  // read parameter file, and handle
  XpiParamParser xpi;
  ParameterInfo* info=xpi.load(argv[1]);

  XmlParamParser xml;
  xml.save(*info,argv[2]);
  
  return 0;
}
