// -*-C++-*-
const char* ExecuteVersion="1.2";
const char* ExecuteName="xpiparam";


//
// File:      xpiparam.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Wed Nov 28 16:52:32 MET 2001

#include "XpiParamParser.h"
#include "ParameterInfo.h"
#include <errstr.h>
#include <cstdlib>

int main(int argc, char** argv)
{
  errHandler.name(ExecuteName);
  std::cerr << ExecuteName << " version " << ExecuteVersion << std::endl;

  if (argc < 2)
    errstr << "\nusage: "
	   << ExecuteName << " xpi-file [command-line-arguments]" 
	   << Sas::error("ParamFileNotXpi");

  // read xml-file
  XpiParamParser reader;
  ParameterInfo* info=reader.load(argv[1]);
  if (!info) return 1;

  argc--;
  argv++;

  info->setTaskName("task");
  info->parseCommandLine(argc,argv);
  if (getenv("SAS_MANDATORY")) info->checkMandatoryParameters();

  // write parameters to stream
  std::cout << "PARAMETERS:\n" << (*info) << "\n" << std::endl;

  // write help to stream
  std::cout << "\n\nHELP:" << std::endl;
  info->writeHelpToStream(std::cout);
  std::cout << std::endl;
    

  std::cout << "COMMAND-LINE:\n" 
       << info->asCommandLine()
       << '\n'
       << std::endl;
  return 0;
}
